Vcenter CertificateManagement Vcenter TlsCsr create

Vcenter CertificateManagement Vcenter TlsCsr create

Generates a CSR with the given Spec.

This operation was added in vSphere API 6.7.2.

Returns an authorization error if you do not have all of the privileges described as follows:

  • Operation execution requires CertificateManagement.Manage and CertificateManagement.Administer.
Request
URI
POST
https://{host}/api/vcenter/certificate-management/vcenter/tls-csr
COPY
Request Body

The information needed to create a CSR.

Required

Show optional properties

{
    "organization": "string",
    "organization_unit": "string",
    "locality": "string",
    "state_or_province": "string",
    "country": "string",
    "email_address": "string"
}
{
    "key_size": 0,
    "common_name": "string",
    "organization": "string",
    "organization_unit": "string",
    "locality": "string",
    "state_or_province": "string",
    "country": "string",
    "email_address": "string",
    "subject_alt_name": [
        "string"
    ]
}
integer As int64 As int64
key_size
Optional

The size of the key to be used for public and private key generation.

This property was added in vSphere API 6.7.2.

If missing or null, the key size will be 3072 bits.

string
common_name
Optional

Common name field in certificate subject.

This property was added in vSphere API 6.7.2.

If missing or null, the common name will be the PNID.

string
organization
Required

Organization field in certificate subject

This property was added in vSphere API 6.7.2.

string
organization_unit
Required

Organization unit field in certificate subject.

CA Browser forum announced that "CAs MUST NOT include the organizationalUnitName field". So OU is no longer needed and an empty string should be used to leave it unset.

This property was added in vSphere API 6.7.2.

string
locality
Required

Locality field in certificate subject

This property was added in vSphere API 6.7.2.

string
state_or_province
Required

State field in certificate subject

This property was added in vSphere API 6.7.2.

string
country
Required

Country field in certificate subject

This property was added in vSphere API 6.7.2.

string
email_address
Required

Email field in Certificate extensions

This property was added in vSphere API 6.7.2.

array of string
subject_alt_name
Optional

Subject Alternative Name field is list of Dns Names and Ip addresses.

This property was added in vSphere API 6.7.2.

If missing or null, the subject alternative name will contain the PNID.

Authentication
This operation uses the following authentication methods.
Responses
201

A Certificate Signing Request.

Returns Vcenter CertificateManagement Vcenter TlsCsr Info of type(s) application/json
{
    "csr": "string"
}
string
csr
Required

Certificate Signing Request in PEM format.

This property was added in vSphere API 6.7.2.


500

If CSR could not be created for given spec for a generic error.

Returns Vapi Std Errors Error of type(s) application/json
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": {
                        "id": "string",
                        "params": {
                            "params": "Vapi Std LocalizationParam Object"
                        }
                    },
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string"
}
array of object
messages
Required

Stack of one or more localizable messages for human error consumers.

The message at the top of the stack (first in the list) describes the error from the perspective of the operation the client invoked.

Each subsequent message in the stack describes the "cause" of the prior message.

object
data
Optional

Data to facilitate clients responding to the operation reporting a standard error to indicating that it was unable to complete successfully.

Operations may provide data that clients can use when responding to errors. Since the data that clients need may be specific to the context of the operation reporting the error, different operations that report the same error may provide different data in the error. The documentation for each each operation will describe what, if any, data it provides for each error it reports.

The Vapi Std Errors ArgumentLocations, Vapi Std Errors FileLocations, and Vapi Std Errors TransientIndication schemas are intended as possible values for this property. Vapi Std DynamicID may also be useful as a value for this property (although that is not its primary purpose). Some resources may provide their own specific schemas for use as the value of this property when reporting errors from their operations.

Some operations will not set this property when reporting errors.

string
error_type
Required

Discriminator field to help API consumers identify the structure type.

For more information see: Vapi Std Errors Error Type.

This property was added in vSphere API 6.7.2.

Can be missing or null for compatibility with preceding implementations.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"country":"string","email_address":"string","locality":"string","organization":"string","organization_unit":"string","state_or_province":"string"}' https://{api_host}/api/vcenter/certificate-management/vcenter/tls-csr